org.apache.felix.ipojo.util

## Class InvocationResult<T>

- java.lang.Object
- - org.apache.felix.ipojo.util.InvocationResult<T>

    public class InvocationResult<T>
    extends java.lang.Object

Wraps the result of a method invocation

### Constructor Summary

Constructors
Constructor and Description
`InvocationResult(java.lang.reflect.Method method, java.lang.Object target, T result, java.lang.Throwable error)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`java.lang.Throwable` `error()`
`static <T> InvocationResult<T>` `fromInvocation(java.lang.reflect.Method method, java.lang.Object target, java.lang.Object[] args)`
`T` `get()`
`java.lang.reflect.Method` `getMethod()`
`T` `getOrElse(T def)`
`java.lang.Object` `getTarget()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### InvocationResult

    public InvocationResult(java.lang.reflect.Method method,
                            java.lang.Object target,
                            T result,
                            java.lang.Throwable error)

### Method Detail

#### getMethod

    public java.lang.reflect.Method getMethod()

#### getTarget

    public java.lang.Object getTarget()

#### error

    public java.lang.Throwable error()

#### get

    public T get()

#### getOrElse

    public T getOrElse(T def)

#### fromInvocation

    public static <T> InvocationResult<T> fromInvocation(java.lang.reflect.Method method,
                                                         java.lang.Object target,
                                                         java.lang.Object[] args)